Bug 227354 - [Gnome3] add reading gnome 3 proxy settings to the proxy detection code
[Gnome3] add reading gnome 3 proxy settings to the proxy detection code
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Launchers&CLI
7.3
PC Linux
: P3 (vote)
: 7.3.1
Assigned To: Libor Fischmeistr
issues@platform
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-12 11:50 UTC by Antonin Nebuzelsky
Modified: 2013-05-13 08:46 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antonin Nebuzelsky 2013-03-12 11:50:40 UTC
In Gnome 3 the proxy configuration moved to the GSettings/dconf keys under org.gnome.system.proxy. Our use of "gconftool-2 --get" does not return any proxy in Gnome 3.

A "dconf" tool can be used to read the settings, or as it seams more preferably the "gsettings" is recommended.

See more details how to read the proxy settings in gnome 3 here:

https://developer.gnome.org/ProxyConfiguration/
Comment 1 Libor Fischmeistr 2013-03-12 14:56:34 UTC
Fixed in changeset: http://hg.netbeans.org/core-main/rev/00e6aad9b6f1
Comment 2 Antonin Nebuzelsky 2013-03-12 15:59:24 UTC
Verified the fix makes the proxy detection work on my Gnome 3.

Jirko, can you verify it also does not break the detection of older Gnome proxy?
Comment 3 Jiri Rechtacek 2013-03-13 11:34:22 UTC
(In reply to comment #2)
> Verified the fix makes the proxy detection work on my Gnome 3.
> 
> Jirko, can you verify it also does not break the detection of older Gnome
> proxy?

Verified in older Gnome, works the same as before, no regression.
Comment 4 Quality Engineering 2013-03-14 02:08:34 UTC
Integrated into 'main-golden', will be available in build *201303132300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/00e6aad9b6f1
User: Libor Fischmeistr <lfischmeistr@netbeans.org>
Log: #227354: [Gnome3] add reading gnome 3 proxy settings to the proxy detection code
Comment 5 Tomas Danek 2013-05-02 14:22:38 UTC
Verified (comment#2 and comment#3)
Comment 6 Libor Fischmeistr 2013-05-03 07:10:41 UTC
Added to releases: http://hg.netbeans.org/releases/rev/a7f076746bef
Comment 7 Quality Engineering 2013-05-05 00:26:56 UTC
Integrated into 'releases', will be available in build *201305042200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/a7f076746bef
User: Libor Fischmeistr <lfischmeistr@netbeans.org>
Log: #227354: [Gnome3] add reading gnome 3 proxy settings to the proxy detection code
Comment 8 Tomas Danek 2013-05-13 08:46:34 UTC
verified in 7.3.1 on gnome3


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo